# $Revision: 1.7 $, $Date: 2001/04/19 04:08:20 $
Summary:	Graphical menu configuration utility for icewm
Summary(pl):	Graficzne narzdzie do edycji menu dla icewm'a
Name:		iceMC
Version:	0.1.1
Release:	5
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://www.mittendorfer.com/gm/information/icemc/%{name}-%{version}-beta.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}_16x16.xpm
Source4:	%{name}_32x32.xpm
Patch0:		%{name}-Makefile.patch
URL:		http://www.mittendorfer.com/gm/information/icemc/icemc.htm
BuildRequires:	qt-devel
Requires:	icewm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/X11R6/

%description
Graphical menu edition utility for icewm. It uses qt-library.

%description -l pl
Graficzne narzdzie do edycji menu w icewm. Wymaga bybliotek qt w
systemie.

%prep
%setup -q -n %{name}-%{version}-beta
%patch0 -p1

%build
%{__make} CXXFLAGS="%{!?debug:$RPM_OPT_FLAGS -fno-exceptions}%{?debug:-O0 -g}"

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/Settings} \
	$RPM_BUILD_ROOT{%{_libdir}/X11/icewm/icons,%{_pixmapsdir}}

%{__install} iceMC $RPM_BUILD_ROOT%{_bindir}/iceMC

%{__install} %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings
%{__install} %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
%{__install} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/X11/icewm/icons

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Settings/*
%{_libdir}/X11/icewm/icons/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: iceMC.spec,v $
Revision 1.7  2001/04/19 04:08:20  kloczek
- release 5,
- for desktop file added standard 48x48 png icon,
- more macros and few cosmetics.

Revision 1.6  2001/04/18 14:28:45  blues
- release 4
- desktop-file is now in icewm-Settings directory

Revision 1.5  2001/04/08 15:54:04  blues
- Release 3
- moved icons to applnk and added symlink in icewm directory
- modified desktop-file
- stb

Revision 1.4  2001/04/06 22:41:52  kloczek
- release 2.

Revision 1.3  2001/04/04 23:30:12  blues
- added desktop file and icons

Revision 1.2  2001/04/04 00:23:39  kloczek
- removed "Requires: qt" (it is generated automaticaly),
- added full Source url,
- added using $RPM_OPT_FLAGS and added better C++ optimization
  (use -fno-exceptions).
NOTE: it will be good add icon and desktop file for iceMC.

Revision 1.1  2001/04/03 23:29:09  blues
- initial edition of iceMC.spec - it's simple - stb, I think...
